This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 461553 - Unable to import gpg key
Unable to import gpg key
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 22:13 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 07:59:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
packagekitd output (99.67 KB, text/plain)
2008-09-08 22:13 EDT, Luke Macken
no flags Details

  None (edit)
Description Luke Macken 2008-09-08 22:13:13 EDT
Created attachment 316139 [details]
packagekitd output

Description of problem:

While trying to apply the latest Fedora updates signed with the new key, the gpk-update-viewer asks "Do you recognise the user and trust this key?".  Clicking yes causes the dialog to lock up and become unresponsive.

- using caller :1.31523 for action org.freedesktop.packagekit.install-signature
TI:20:51:59 TH:0x19af4f0    FI:pk-security-polkit.c FN:pk_security_can_do_action,89
- PolicyKit result = 'auth_admin'
TI:20:52:01 TH:0x19af4f0    FI:pk-engine.c  FN:pk_engine_get_seconds_idle,465
- engine idle zero as 1 transactions in progress
TI:20:52:01 TH:0x19af4f0    FI:pk-main.c    FN:pk_main_timeout_check_cb,131
- idle is 0

From here on, the dialog locks up and does not respond, or timeout.

Attached is the packagekitd output.

Version-Release number of selected component (if applicable):

PackageKit-0.2.5-1.fc9.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Hook up http://kojipkgs.fedoraproject.org/mash/updates/f9-updates.jktest
2. Update to PackageKit-0.2.5-1.fc9.x86_64
3. Try to install the new updates -- get prompted to accept the new key.
  
Actual results:
gpk-update-viewer locks up

Expected results:
The key should be imported into rpm, and the updates should be installed.
Comment 1 Richard Hughes 2008-09-09 03:13:36 EDT
I can't reproduce. Could you try http://koji.fedoraproject.org/koji/taskinfo?taskID=813930 and give it a go again please?
Comment 2 Luke Macken 2008-09-09 11:51:16 EDT
        package gnome-packagekit-0.2.5-2.fc9.x86_64 is already installed
Comment 3 Richard Hughes 2008-09-10 05:48:19 EDT
I might have cracked the issue you are seeing. Is there more than one GPG key that needs agreeing to?
Comment 4 Jesse Keating 2008-09-10 13:02:26 EDT
There can be yes.  There is one key for the release and stable updates, and a different key for betas and updates-testing.
Comment 5 Richard Hughes 2008-10-27 09:04:27 EDT
This seems to work reliably for me now, any chance you're hitting #468602?
Comment 6 Fedora Update System 2008-11-11 11:24:54 EST
PackageKit-0.3.10-1.fc9,gnome-packagekit-0.3.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/PackageKit-0.3.10-1.fc9,gnome-packagekit-0.3.10-1.fc9
Comment 7 Fedora Update System 2008-11-11 21:56:32 EST
PackageKit-0.3.10-1.fc9, gnome-packagekit-0.3.10-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit gnome-packagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9573
Comment 8 Fedora Update System 2008-11-21 06:00:57 EST
PackageKit-0.3.10-2.fc9, gnome-packagekit-0.3.10-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit gnome-packagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9573
Comment 9 Fedora Update System 2008-12-08 07:59:09 EST
PackageKit-0.3.10-2.fc9, gnome-packagekit-0.3.10-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.